(function() {
    checkWarned();

    function checkWarned() {
        if (window.localStorage.getItem('warned')) {
            return;
        }

        if (window.location.pathname == `/warn/`)
        {
            return;
        }
        var warnUri = new URL(`${window.location.origin}/warn/`);
        warnUri.searchParams.append(`redirectURI`, window.location.href);

        window.location.href = warnUri;
    }
})();